/**
 * @file item_specification.cpp
 * @author Jan Holáň, xholan11 (xholan11@vutbr.cz)
 * @brief translated with gcc version 12.2.1
 * @version 0.1
 * @date 2023-05-01
 * 
 * @copyright Copyright (c) 2023
 * 
 */

#include "WarehousePickingOpt.h"

ItemSpecification::ItemSpecification(int _Product, ItemSpecification::Type _Unit, int _PackageType, int _ContentQty, float _X, float _Y, float _Z, float _Weight)
    : Product(_Product),
      Unit(_Unit),
      PackageType(_PackageType),
      ContentQty(_ContentQty),
      X(_X),
      Y(_Y),
      Z(_Z),
      Weight(_Weight)
{
  // compute the volume
  this->Volume = X * Y * Z;
}

ItemSpecification::~ItemSpecification() {}